/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TestRest;
import java.util.List;
//import TestRest.AssocaroPK;
//import TestRest.QuakemlView;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 *
 * @author aparnab
 */

public class QuakemlViewNG implements Serializable {
    private QuakemlView eventEntity;
    private List<Assocaro> pickEntity;
    private List<Assocamo> amplitudeEntity;

    public QuakemlViewNG() {

    }

    public QuakemlViewNG(QuakemlView entity, List<Assocaro> picks, List<Assocamo> amplitudes) {
        this.eventEntity = entity;
        this.pickEntity = picks;
        this.amplitudeEntity = amplitudes;

    }

    public QuakemlView getEventEntity(){
        return eventEntity;
    }

    public void setEventEntity(QuakemlView eventEntity){
        this.eventEntity = eventEntity;
    }

    public List<Assocaro> getPickEntity(){
        return pickEntity;
    }

    public void setPickEntity(List<Assocaro> pickEntity){
        this.pickEntity = pickEntity;
    }
    public List<Assocamo> getAmplitudeEntity(){
        return amplitudeEntity;
    }

    public void setAmplitudeEntity(List<Assocamo> amplitudeEntity){
        this.amplitudeEntity = amplitudeEntity;
    }
}
